# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Present attestations Before onboarding can be verirfied, your client must complete: - Attestations listed in attestationDocumentIds: This object contains the outstanding attestations that the client must complete - such as disclosure and consent forms, and terms and conditions. The object tells you which documents are required by ID, which you can then request using GET /do/v1/documents/{id}. - Documents listed in documentRequestIds: This object contains any supported documents that may be required, depending on the verification details already submitted. This can include copies of documents that support the verification, such as a Social Security document. ### Requests used to get and send attestations Your client must be able to show that they agree to the terms and conditions of Embedded Payments, as well as giving their consent for their data to be used. To send attestations: 1. Call `GET /do/v1/clients/{id}` (or check the response to a POST request to the same endpoint). In the response, you can see that an attestation is required when the attestationDocumentIds field in the outstanding object is populated. 2. Call `GET /do/v1/documents/{attestationDocumentId}`. In the response you can see the documentType field shows which document must be attested by the client. 3. Call `GET /do/v1/documents/{attestationDocumentId}/file` to return the document itself, so you can display it to your client. 4. Send a `POST /do/v1/clients/{id}` request to pass the attestation. ## Get attestation documents You can see the required documents that need to be attested in a response to any of the following calls: - GET /do/v1/clients - POST /do/v1/clients - POST /do/v1/clients/{id} This response indicates that an attestation is needed for the document ID `c4e4739f-33ed-47f6-82fa-0b1c5c992d0b`. ```json { "attestations": [], "id": "1000010400", "parties": [ ... ], "partyId": "2000000111", "products": [ "EMBEDDED_PAYMENTS" ], "outstanding": { "attestationDocumentIds": [ "c4e4739f-33ed-47f6-82fa-0b1c5c992d0b" ], "documentRequestIds": [], "partyIds": [], "partyRoles": [], "questionIds": [ "30005", "30026", "30027" ] }, "questionResponses": [], "status": "NEW" } ``` ### Check the required document type To check the required document type that you need to present to your client, send a request to `GET /do/v1/documents/{id}` with an ID from the `attestationDocumentIds` in the path. To access the file itself, send a request to `GET /do/v1/documents/{id}/file`. The response carries the document that can be displayed in your platform experience. ## Present attestations to your client Your clients are agreeing to terms and conditions and the content of other written documents when they make their attestation. This means you need to present attestation documents to your client in a format they can easily read, and provide some interaction so they can demonstrate that they have read and understood what they are attesting. ## Send attestation To send the attestation, call `POST /do/v1/clients/{id}` and include the required in the `addAttestations` object: - attesterFullName - The full name of the party attesting. - attestationTime - A timestamp of the attestation. - documentId - The given ID of the document being attested - this is the same attestationDocumentIds value you used to get the document. - ipAddress - The client's IP address from which the attestation was made. Sample `addAttestations` request: ```json { "addAttestations": [ { "attesterFullName": "Monica Gellar", "attestationTime": "2017-07-21T17:32:28.000Z", "documentId": "c4e4739f-33ed-47f6-82fa-0b1c5c992d0b", "ipAddress": "192.158.1.38" } ] } ``` ## Next steps After attestation, you can [complete onboarding steps and submit client details](/docs/embedded-finance-solutions/embedded-payments/capabilities/onboard-a-client/how-to/complete-onboarding).